### org.jfree.layouting.renderer.model

# Class DefaultBoxDefinitionFactory

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.DefaultBoxDefinitionFactory`

Implemented Interfaces:
  BoxDefinitionFactory

`public class DefaultBoxDefinitionFactory`
`extends java.lang.Object`
`implements BoxDefinitionFactory`

Creation-Date: 25.06.2006, 15:46:01

Author:
  Thomas Morgner

  ## Constructor Summary

  `DefaultBoxDefinitionFactory(BorderFactory borderFactory)`

  ## Method Summary

  `static RenderLength`

  `computeWidth(CSSValue widthValue, LayoutContext boxContext, OutputProcessorMetaData metaData, boolean allowAuto, boolean allowNegativeValues)`

  `BoxDefinition`

  `createBlockBoxDefinition(LayoutContext boxContext, OutputProcessorMetaData metaData)`
    Creates a Box-Definition.

  `BoxDefinition`

  `createInlineBoxDefinition(LayoutContext boxContext, OutputProcessorMetaData metaData)`

## Constructor Details

### DefaultBoxDefinitionFactory

    public DefaultBoxDefinitionFactory(BorderFactory borderFactory)

## Method Details

### computeWidth

    public static RenderLength computeWidth(CSSValue widthValue,
                                            LayoutContext boxContext,
                                            OutputProcessorMetaData metaData,
                                            boolean allowAuto,
                                            boolean allowNegativeValues)

### createBlockBoxDefinition

    public BoxDefinition createBlockBoxDefinition(LayoutContext boxContext,
                                                  OutputProcessorMetaData metaData)

> Creates a Box-Definition.
> Specified by:
>   createBlockBoxDefinition in interface BoxDefinitionFactory
> Parameters:
>   `boxContext` -
> Returns:

### createInlineBoxDefinition

    public BoxDefinition createInlineBoxDefinition(LayoutContext boxContext,
                                                   OutputProcessorMetaData metaData)

> Specified by:
>   createInlineBoxDefinition in interface BoxDefinitionFactory